# eric6.E5Network.E5UrlInfo

Module implementing a class replacing QUrlInfo.

### Global Attributes

None

### Classes

E5UrlInfo | Class implementing a replacement for QUrlInfo.

### Functions

None

## E5UrlInfo

Class implementing a replacement for QUrlInfo.

### Derived from

object

### Class Attributes

ExeGroup
ExeOther
ExeOwner
ReadGroup
ReadOther
ReadOwner
WriteGroup
WriteOther
WriteOwner

### Class Methods

None

### Methods

E5UrlInfo | Constructor
group | Public method to get the group.
isDir | Public method to test, if the entry is a directory.
isExecutable | Public method to test, if the entry is executable.
isFile | Public method to test, if the entry is a file.
isReadable | Public method to test, if the entry is readable.
isSymLink | Public method to test, if the entry is a symbolic link.
isValid | Public method to check the validity of the object.
isWritable | Public method to test, if the entry is writable.
lastModified | Public method to get the last modified date and time.
lastRead | Public method to get the last read date and time.
name | Public method to get the name.
owner | Public method to get the owner.
permissions | Public method to get the permissions.
setDir | Public method to indicate a directory.
setFile | Public method to indicate a file.
setGroup | Public method to set the group.
setLastModified | Public method to set the last modified date and time.
setLastRead | Public method to set the last read date and time.
setName | Public method to set the name.
setOwner | Public method to set the owner.
setPermissions | Public method to set the permissions.
setReadable | Public method to a readable entry.
setSize | Public method to set the size.
setSymLink | Public method to indicate a symbolic link.
setWritable | Public method to a writable entry.
size | Public method to get the size.

### Static Methods

None

#### E5UrlInfo (Constructor)

E5UrlInfo()

Constructor

#### E5UrlInfo.group

group()

Public method to get the group.

Returns:
  group (string)

#### E5UrlInfo.isDir

isDir()

Public method to test, if the entry is a directory.

Returns:
  flag indicating a directory (boolean)

#### E5UrlInfo.isExecutable

isExecutable()

Public method to test, if the entry is executable.

Returns:
  flag indicating executable (boolean)

#### E5UrlInfo.isFile

isFile()

Public method to test, if the entry is a file.

Returns:
  flag indicating a file (boolean)

#### E5UrlInfo.isReadable

isReadable()

Public method to test, if the entry is readable.

Returns:
  flag indicating readable (boolean)

#### E5UrlInfo.isSymLink

isSymLink()

Public method to test, if the entry is a symbolic link.

Returns:
  flag indicating a symbolic link (boolean)

#### E5UrlInfo.isValid

isValid()

Public method to check the validity of the object.

Returns:
  flag indicating validity (boolean)

#### E5UrlInfo.isWritable

isWritable()

Public method to test, if the entry is writable.

Returns:
  flag indicating writable (boolean)

#### E5UrlInfo.lastModified

lastModified()

Public method to get the last modified date and time.

Returns:
  last modified date and time (QDateTime)

#### E5UrlInfo.lastRead

lastRead()

Public method to get the last read date and time.

Returns:
  last read date and time (QDateTime)

#### E5UrlInfo.name

name()

Public method to get the name.

Returns:
  name (string)

#### E5UrlInfo.owner

owner()

Public method to get the owner.

Returns:
  owner (string)

#### E5UrlInfo.permissions

permissions()

Public method to get the permissions.

Returns:
  permissions (integer)

#### E5UrlInfo.setDir

setDir(isDir)

Public method to indicate a directory.

isDir
  flag indicating a directory (boolean)

#### E5UrlInfo.setFile

setFile(isFile)

Public method to indicate a file.

isFile
  flag indicating a file (boolean)

#### E5UrlInfo.setGroup

setGroup(group)

Public method to set the group.

group
  group to be set (string)

#### E5UrlInfo.setLastModified

setLastModified(dt)

Public method to set the last modified date and time.

dt
  date and time to set (QDateTime)

#### E5UrlInfo.setLastRead

setLastRead(dt)

Public method to set the last read date and time.

dt
  date and time to set (QDateTime)

#### E5UrlInfo.setName

setName(name)

Public method to set the name.

name
  name to be set (string)

#### E5UrlInfo.setOwner

setOwner(owner)

Public method to set the owner.

owner
  owner to be set (string)

#### E5UrlInfo.setPermissions

setPermissions(permissions)

Public method to set the permissions.

permissions
  permissions to be set (integer)

#### E5UrlInfo.setReadable

setReadable(isReadable)

Public method to a readable entry.

isReadable
  flag indicating a readable entry (boolean)

#### E5UrlInfo.setSize

setSize(size)

Public method to set the size.

size
  size to be set (integer)

#### E5UrlInfo.setSymLink

setSymLink(isSymLink)

Public method to indicate a symbolic link.

isSymLink
  flag indicating a symbolic link (boolean)

#### E5UrlInfo.setWritable

setWritable(isWritable)

Public method to a writable entry.

isWritable
  flag indicating a writable entry (boolean)

#### E5UrlInfo.size

size()

Public method to get the size.

Returns:
  size (integer)

Up